// import { getTargetFileDestination } from './getTargetFileDestination.js';
import { BitloopsTargetGenerator } from '@bitloops/bl-transpiler';
import { writeTargetFile } from './writeTargetFile.js';
const writeGeneratedOutputToFiles = (params, outputDirPath) => {
    //  Write output to dest files
    for (const targetFileContent of params) {
        const { boundedContext, module, classType, className, fileContent } = targetFileContent;
        const btg = new BitloopsTargetGenerator();
        const destination = btg.getTargetFileDestination(boundedContext, module, classType, className);
        writeTargetFile({
            projectPath: outputDirPath,
            filePathObj: destination,
            fileContent: fileContent,
        });
    }
    // for (const [boundedContextName, boundedContextContent] of Object.entries(params)) {
    //   for (const [moduleName, moduleContent] of Object.entries(boundedContextContent)) {
    //     for (const [classType, classTypeContent] of Object.entries(moduleContent)) {
    //       for (const [className, classContent] of Object.entries(classTypeContent)) {
    //         const destination = getTargetFileDestination(
    //           boundedContextName,
    //           moduleName,
    //           classType,
    //           className,
    //         );
    //         writeTargetFile({
    //           projectPath: outputDirPath,
    //           filePathObj: destination,
    //           fileContent: classContent.content,
    //         });
    //       }
    //     }
    //   }
    // }
};
const generateTargetFiles = (params) => {
    const { 
    // boundedContextModules,
    // sourceDirPath,
    outputDirPath, bitloopsModel, setupData, targetLanguage, } = params;
    const generator = new BitloopsTargetGenerator();
    const generatorParams = {
        intermediateAST: bitloopsModel,
        setupData,
        targetLanguage,
        prettierConfig: {},
    };
    const output = generator.generate(generatorParams);
    // if (isBitloopsTargetGeneratorError(output)) {
    //   console.log(output);
    //   throw new Error('Error generating target files');
    // }
    // output
    //Write output to dest files
    writeGeneratedOutputToFiles(output, outputDirPath);
    const setupFilesData = generator.generateSetup({
        setupData,
        intermediateAST: bitloopsModel,
        targetLanguage,
    });
    writeGeneratedSetupOutputToFiles(setupFilesData, outputDirPath);
};
const writeGeneratedSetupOutputToFiles = (params, outputDirPath) => {
    //  Write output to dest files
    for (const targetFileContent of params) {
        const { fileId, fileContent } = targetFileContent;
        writeTargetFile({
            projectPath: outputDirPath,
            filePathObj: { path: '/', filename: fileId },
            fileContent: fileContent,
        });
    }
};
export { generateTargetFiles };
//# sourceMappingURL=generateTargetFiles.js.map